﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class WDG_IntegerSorting : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable MyDataSource = populateDataTable();
        WebDataGrid1.DataSource = MyDataSource;
        WebDataGrid1.DataBind();

        DataTable MyDataSource2 = populateDataTable2();
        WebDataGrid2.DataSource = MyDataSource2;
        WebDataGrid2.DataBind();
    }

    protected DataTable populateDataTable()
    {
        DataTable dt = new DataTable();
        // setting the required DataType format here (Enshure that the DataSource DataType is correct)
        DataColumn column= new DataColumn();
        column.DataType=System.Type.GetType("System.Int32");
        column.ColumnName = "Number";

        dt.Columns.Add(column);
        dt.Columns.Add("NotCorrectNumber");

        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<Int32>("Number", 1 + i);
            row.SetField<Int32>("NotCorrectNumber", 1 + i);
            dt.Rows.Add(row);
        }
        return dt;
    }

    protected DataTable populateDataTable2()
    {
        DataTable dt = new DataTable();
        // Not setting the required DataType format here (Sorting is not behaving as one could expect)
        dt.Columns.Add("Number");
        dt.Columns.Add("NotCorrectNumber");

        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<Int32>("Number", 1 + i);
            row.SetField<Int32>("NotCorrectNumber", 1 + i);

            dt.Rows.Add(row);
        }
        return dt;
    }
}